Subject: bug#58509: 29.0.50; Synchronous nativecomp

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Oct 2022 14:20:24 +0200

Eli Zaretskii <[email-masked]> writes:

> The original report said:
>
>> I thought I'd open a bug report for something I mentioned elsewhere: It
>> should be possible for --batch Emacsen to do native compilation.
> [...]
>> So I'd like to be able to say "emacs --batch --native-compile -l ..." or
>> something along those lines.
>
> So it seemed to me like being able to say
>
>   emacs --batch -f batch-native-compile FILE...
>
> is what you want?  If not, please tell what I missed in the original
> report.

You missed that the --native-compile there is in no way related to the
-l that follows.  I.e., for instance:

emacs --batch --native-compile --eval '(gnus)'

should native-compile all parts of running Gnus.